Cannot access my login or dashboard to upgrade

Permalink
Hi,
Could really use some help here.

My website stopped loading yesterday. It originally had some errors with my page.php, but my host tech support managed to iron those out.

Now the only error that is appearing is:

An unexpected error occurred.
syntax error, unexpected 'protected' (T_PROTECTED), expecting end of file

I've tried to go into my concrete5/index.php /login page and my /dashboard page but the same error is coming up and I can't get in.

I realize I need to update as I'm on 5.6.3.5. I uploaded 5.7.3 into my HostGator File Manager to start the upgrade (following the upgrade sequence in the help section:You must update to 5.7.5.13 before updating to 8.5.0. If you are using a version of 5.7 below 5.7.3, you must update to 5.7.3 before updating to 5.7.4 or greater.), but without being able to access my dashboard on Concrete5, I'm stuck.

If anyone has any suggestions, I would be grateful.
Thanks
U

View Replies:
Gondwana replied on at Permalink Reply
Gondwana
You can't upgrade from 5.6 to 5.7 like that. Try to restore your 5.6 version, and make sure you're using a php version that it can handle.
Uniformhawk replied on at Permalink Reply
Thanks for your reply. I didn't upgrade to 5.7.3 yet. It's still on 5.6.3.5_remote_updater.
I uploaded 5.7.3 to the file manager, but it isn't active as I have no way to access my dashboard.
ConcreteOwl replied on at Permalink Reply
ConcreteOwl
"I uploaded 5.7.3 to the file manager" if that is correct, I can only assume you uploaded as a zip file?
As @Gondwana has already said, there is no upgrade path beyond 5.6.x.x so your downloaded 5.7 version will not work as an upgrade.
If you want someone to sort this out for you, send me a private message..